> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Teams

> List the teams the user is a member of, filtered to the teams the caller
is scoped to read.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/users/{user_id}/teams
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/users/{user_id}/teams:
    get:
      tags:
        - admin-users
      summary: List User Teams
      description: |-
        List the teams the user is a member of, filtered to the teams the caller
        is scoped to read.
      operationId: list_user_teams_api_admin_users__user_id__teams_get
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            title: User Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_list_AdminTeamSummary__'
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericResponse_list_AdminTeamSummary__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/AdminTeamSummary'
              type: array
            - type: 'null'
          title: Data
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[list[AdminTeamSummary]]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    AdminTeamSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        hasBetaAccess:
          type: boolean
          title: Hasbetaaccess
          default: false
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - name
        - createdAt
      title: AdminTeamSummary
      description: Lightweight team summary returned by the admin list endpoint.
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````